/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TList - Type List

Hirarchie:
TObject -> TComponent -> TList
*/

/**
 * La classe TList reprsente une liste.
 @since Release 1.0
*/
public class TList extends TComponent {

	/**Les items de la liste*/
	public TVector items;
	/**L'index de l'item slectionn*/
	public int index;
	/**Le curseur utilis par la liste*/
	public TCursor cursor;
	/**Espace mmoire utilis pour l'affichage*/
	public TGarbageCollector collector;

/**
 * Ce constructeur instancie un objet de Type List.
 @since Release 1.0
*/
public TList TList0 () {

	return new TList();
}

/**
 * Cette mthode retourne un objet de Type List qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TList clone() {
	
	return new TList();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {
}

/**
 * Cette mthode affiche le composant  l'cran.
 @since Release 1.0
*/
public void print() {
}

/**
 * Cette mthode permet  l'utilisateur d'utiliser le ComboBox.
 @since Release 1.0
*/
public void use() {
}

/**
 * Cette mthode change la visibilit du composant.
 @param visible La visibilit du composant
 @since Release 1.0
*/
public void setVisible(boolean visible) {
}

/**
 * Cette mthode change l'item qui est selectionn dans la liste.
 @param index L'index de l'item slectionn
 @since Release 1.0
*/
public void setSelectedIndex(int index) {
}

/**
 * Cette mthode retourne l'item slectionn.
 @return obj - L'item slectionn
 @since Release 1.0
*/
public TObject getSelectedItem() {
	
	return new TObject();
}
}