/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TVector - Type Vector

Hirarchie:
TObject -> TVector
*/

/**
 * La classe TVector reprsente un vecteur pouvant tre modifi dynamiquement.
 @since Release 1.0
*/
public class TVector extends TObject {
	
	/**La grosseur du tableau.*/
	public long size;
	/**Le premier lment*/
	public TNode firstNode;
	
/**
 * Ce constructeur instancie un objet de Type Vector.
 @since Release 1.0
*/
public TVector TVector0 () {

	return new TVector();
}

/**
 * Cette mthode indique si le vecteur est vide.
 @return result - Vrai si le vecteur est vide.
 @since Release 1.0
*/
public boolean isEmpty () {
	
	return result;
}

/**
 * Cette mthode d'enlever tous les lments du vecteur.
 @since Release 1.0
*/
public void removeAllElements () {
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
void finalize () {
}

/**
 * Cette mthode permet d'enlever l'lment du vecteur  l'index spcifi.
 @param index L'index o se trouve l'lment.
 @since Release 1.0
*/
public void removeElementAt (long index) {
}

/**
 * Cette mthode permet d'ajouter un lment au vecteur.  Ce dernier est ajout  l'index spcifi.
 @param element L'objet  ajouter au vecteur.
 @param index L'index o faire l'ajout.
 @since Release 1.0
*/
public void insertElementAt (TObject element, long index) {
}

/**
 * Cette mthode permet d'ajouter un lment au vecteur.  Ce dernier est ajout  la fin du vecteur.
 @param element L'objet  ajouter au vecteur.
 @since Release 1.0
*/
public void addElement (TObject element) {
}

/**
 * Cette mthode retourne l'lment prsent  la position de l'index spcifi.
 @param index L'index o se trouve l'lment.
 @return element - L'lment prsent  l'index spcifi.
 @since Release 1.0
*/
public TObject elementAt (long index) {

	return new TObject();
}

/**
 * Cette mthode retourne le premier lment du vecteur.
 @return element - Le premier lment du vecteur.
 @since Release 1.0
*/
public TObject firstElement () {
	
	return new TObject();
}

/**
 * Cette mthode retourne le dernier lment du vecteur.
 @return element - Le dernier element du vecteur.
 @since Release 1.0
*/
public TObject lastElement () {
	
	return new TObject();
}

/**
 * Cette mthode retourne un objet de Type Vector qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TVector clone () {

	return new TVector();
}

/**
 * Cette mthode retourne l'index de la premire occurence de l'lment rencontre
 * dans le vecteur  partir de l'index spcifi.
 @param element L'lment  rechercher.
 @return fromIndex - L'index d'o commencer.
 @return index - L'index de la premire occurence.
 @since Release 1.0
*/
public long indexOf0 (TObject element, long fromIndex) {
	
	return 0;
}

/**
 * Cette mthode retourne l'index de la premire occurence de l'lment rencontre
 * dans le vecteur.
 @param element L'lment  rechercher.
 @return index - L'index de la premire occurence.
 @since Release 1.0
*/
public long indexOf1 (TObject element) {

	return 0;
}

/**
 * Cette mthode indique si l'lment spcifi se trouve dans le vecteur.
 @param element L'lment  rechercher.
 @return result - Vrai si l'lment se trouve dans le vecteur.
 @since Release 1.0
*/
public boolean contains (TObject element) {

	return false;
}

/**
 * Cette mthode retourne l'index de la dernire occurence de l'lment rencontre
 * dans le vecteur en cherchant  reculon  partir de l'index spcifi.
 @param element L'lment  rechercher.
 @return fromIndex - L'index d'o commencer.
 @return index - L'index de la dernire occurence.
 @since Release 1.0
*/
public long lastIndexOf0 (TObject element, long fromIndex) {

	
	return 0;
}

/**
 * Cette mthode retourne l'index de la dernire occurence de l'lment rencontre.
 @param element L'lment  rechercher.
 @return index - L'index de la dernire occurence.
 @since Release 1.0
*/
public long lastIndexOf1 (TObject element) {

	return 0;
}

/**
 * Cette mthode copie les lment du vecteur vers le vecteur spcifi.
 @param anArray Le vecteur cible.
 @since Release 1.0
*/
public void copyInto (TObject[] anArray) {
}

/**
 * Cette mthode remplace l'lment  l'index spcifi.
 @param element L'lment de rechange.
 @param index L'index o effectuer le remplacement.
 @since Release 1.0
*/
public void setElementAt (TObject element, long index) {
}

/**
 * Cette mthode enlve du vecteur la premire occurence de l'lment spcifi.
 @param element L'lment  enlever.
 @since Release 1.0
*/
public void removeElement (TObject element) {
}

/**
 * Cette mthode retourne une chane de caractres reprsentant l'objet.
 * Pour la classe TVector, il s'agit du nombre d'lments, suivi de la
 * reprsentation de chaqu'un.
 @return string - La chane de caractre reprsentant l'objet.
 @since Release 1.0
*/
public TString toString	() {
	
	return new TString();
}
}