/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TContainer - Type Container

Hirarchie:
TObject -> TComponent -> TContainer
*/

/**
 * La classe TContainer reprsente un contenant d'objets visuels.
 @since Release 1.0
*/
public class TContainer extends TComponent {
	
	/**Le contenu du Container*/
	public TVector contentPane;	
	/**La visibilit des composants*/
	public boolean visibility;

/**
 * Ce constructeur instancie un objet de Type Container.
 @since Release 1.0
*/
public TContainer TContainer0 () {

	return new TContainer();
}

/**
 * Cette mthode retourne un objet de Type Container qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TContainer clone() {
	
	return new TContainer();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {
}

/**
 * Cette mthode dplace le composant vers de nouvelles coordones.
 @param x La position horizontale du composant
 @param y La position verticale du composant 
 @since Release 1.0
*/
public void setBounds(int x0, int y0, int x1, int y1) {
}

/**
 * Cette mthode change la visibilit du composant.
 @param visible La visibilit du composant
 @since Release 1.0
*/
public void setVisible(boolean visible) {
}

/**
 * Cette mthode permet d'ammener un composant graphique par dessus
 * les autres.
 @param component0 Le composant
 @since Release 1.0
*/
public void bringOn (TComponent component0) {
}

/**
 * Cette mthode permet de centrer un composant graphique
 @param component0 Le composant
 @since Release 1.0
*/
public void center (TComponent component0) {
}

/**
 * Cette mthode permet  l'utilisateur de dplacer un composant dans
 * le contenant.
 @param component0 Le composant
 @param cursor Le curseur li  l'action (NULL si N/A)
 @since Release 1.0
*/
public void drag (TComponent component0, TCursor cursor) {
}

/**
 * Cette mthode permet  l'utilisateur d'ajouter un composant au
 * contenant.
 @param component0 Le composant  ajouter
 @since Release 1.0
*/
public void add (TComponent component0) {
}
}