/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TFrame - Type Frame

Hirarchie:
TObject -> TComponent -> TContainer -> TFrame
*/

/**
 * La classe TFrame reprsente une fentre d'environement graphique.
 @since Release 1.0
*/
public class TFrame extends TContainer {

	/**Le titre de la fentre*/
	public TString title;

/**
 * Ce constructeur instancie un objet de Type Frame.
 @since Release 1.0
*/
public TFrame TFrame0 () {

	return new TFrame();
}

/**
 * Ce constructeur instancie un objet de Type Frame en
 * spcifiant le texte de l'tiquette.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TFrame TFrame1 (TString caption) {
	
	return new TFrame();
}

/**
 * Ce constructeur instancie un objet de Type CaptionedComponent en
 * spcifiant le texte de l'tiquette  l'aide d'une chane de
 * caractres ANSI.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TFrame TFrame2 (char[] caption) {
	
	return new TFrame();
}

/**
 * Cette mthode affiche le composant  l'cran.
 @since Release 1.0
*/
public void print() {

}

/**
 * Cette mthode change le titre de la fentre.
 @param title Le titre de la fentre
 @since Release 1.0
*/
public void setTitle(TString title) {
}

/**
 * Cette mthode retourne une chane de caractres reprsentant l'objet.
 * Pour la classe TFrame, il s'agit du titre de la fentre.
 @return string - La chane de caractre reprsentant l'objet.
 @since Release 1.0
*/
public TString toString	() {
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {
}

/**
 * Cette mthode retourne un objet de Type Frame qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TFrame clone() {
	
	return new TFrame();
}

/**
 * Cette mthode compare l'objet  un autre objet pour tablir une galit.
 * Dans le cas d'un objet de Type Frame, une comparaison est tablie
 * entre les reprsentations en chane de caractres des objets.
 @param object0 L'objet  comparer.
 @return result - Vrai si les deux objets sont gaux.
 @since Release 1.0
*/
public boolean equals (TObject object0) {
	
	return false;
}
}