/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TLabel - Type Label

Hirarchie:
TObject -> TComponent -> TCaptionedComponent -> TLabel
*/

/**
 * La classe TLabel reprsente une tiquette texte.
 @since Release 1.0
*/
public class TLabel extends TCaptionedComponent {

public static final int COLOR_WHITE = 0;
public static final int COLOR_BLACK = 1;
	
	/**L'opacit de l'tiquette*/
	public boolean opaque;
	/**La couleur du texte de l'tiquette*/
	public int color;

/**
 * Ce constructeur instancie un objet de Type Label.
 @since Release 1.0
*/
public TLabel TLabel0 () {

	return new TLabel();
}

/**
 * Ce constructeur instancie un objet de Type Label en
 * spcifiant le texte de l'tiquette.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TLabel TLabel1 (TString caption) {

	return new TLabel();
}

/**
 * Ce constructeur instancie un objet de Type Label en
 * spcifiant le texte de l'tiquette  l'aide d'une chane de
 * caractres ANSI.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TLabel TLabel2 (char[] caption) {
	
	return new TLabel();
}

/**
 * Cette mthode retourne un objet de Type Label qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TLabel clone() {

	return new TLabel();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {

}

/**
 * Cette mthode affiche le composant  l'cran.
 @since Release 1.0
*/
public void print() {
}

/**
 * Cette mthode change la couleur du texte de l'tiquette.
 @param color La couleur du texte
 @since Release 1.0
*/
public void setColor(int color) {
}

/**
 * Cette mthode change l'opacit de l'tiquette.
 @param opaque Spcifie si l'tiquette est opaque
 @since Release 1.0
*/
public void setOpaque(boolean opaque) {
}
}